### Method

# Soup MessageBody append

#### Declaration [src]

    void
    soup_message_body_append (
      SoupMessageBody* body,
      SoupMemoryUse use,
      gconstpointer data,
      gsize length
    )

#### Description [src]

Appends `length` bytes from `data` to `body` according to `use`.

The implementation of this method is provided by `soup_message_body_append_take()` in language bindings

#### Parameters

`use`

  Type: `SoupMemoryUse`

  How to use `data`.

`data`

  Type: An array of `guint8`

  Data to append.

  The length of the array is specified in the `length` argument.

`length`

  Type: `gsize`

  Length of `data`.